import { Database } from '@liskhq/lisk-db';
import { RequestContext } from '../rpc/rpc_server';
import { LegacyBlockJSON, LegacyTransactionJSON } from './types';
import { Storage } from './storage';
interface EndpointArgs {
    db: Database;
}
export declare class LegacyEndpoint {
    [key: string]: unknown;
    readonly storage: Storage;
    constructor(args: EndpointArgs);
    getTransactionByID(context: RequestContext): Promise<LegacyTransactionJSON>;
    getTransactionsByBlockID(context: RequestContext): Promise<LegacyTransactionJSON[]>;
    getBlockByID(context: RequestContext): Promise<LegacyBlockJSON>;
    getBlockByHeight(context: RequestContext): Promise<LegacyBlockJSON>;
}
export {};
