"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.buildLegacyBracketDBKey = exports.buildBlockHeightDbKey = exports.buildTxsBlockIDDbKey = exports.buildBlockIDDbKey = exports.buildTxIDDbKey = void 0;
const lisk_cryptography_1 = require("@liskhq/lisk-cryptography");
const constants_1 = require("./constants");
const buildTxIDDbKey = (id) => Buffer.concat([constants_1.DB_KEY_TRANSACTIONS_ID, id]);
exports.buildTxIDDbKey = buildTxIDDbKey;
const buildBlockIDDbKey = (id) => Buffer.concat([constants_1.DB_KEY_BLOCKS_ID, id]);
exports.buildBlockIDDbKey = buildBlockIDDbKey;
const buildTxsBlockIDDbKey = (id) => Buffer.concat([constants_1.DB_KEY_TRANSACTIONS_BLOCK_ID, id]);
exports.buildTxsBlockIDDbKey = buildTxsBlockIDDbKey;
const buildBlockHeightDbKey = (height) => Buffer.concat([constants_1.DB_KEY_BLOCKS_HEIGHT, lisk_cryptography_1.utils.intToBuffer(height, 4)]);
exports.buildBlockHeightDbKey = buildBlockHeightDbKey;
const buildLegacyBracketDBKey = (snapshotBlockID) => Buffer.concat([constants_1.DB_KEY_LEGACY_BRACKET, snapshotBlockID]);
exports.buildLegacyBracketDBKey = buildLegacyBracketDBKey;
//# sourceMappingURL=utils.js.map